#!/usr/bin/perl

$index2	= "unique index"	;
$index3	= "unique index"	;
$count2	= 10000 ;
$count3	= 10	;

print	qq{

create table t2
(
        id      int(10) $index2,
        num1    int(10),
        num2    int(10)
)	;

create table t3
(
        id      int(10) $index3,
        num1    int(10),
        num2    int(10)
)	;

} ;

print	"copy	t2 ;\n" ;
for ($i = 0 ; $i < $count2 ; $i += 1)
{	print	$i, "\t", $i * 2, "\t", $i * 3, "\n" ;
}
print	"\\.\n"	;

print	"copy	t3 ;\n" ;
for ($i = 0 ; $i < $count3 ; $i += 1)
{	print	$i * 13, "\t", $i * 13 * 2, "\t", $i * 13 * 3, "\n" ;
}
print	"\\.\n"	;

print	qq{

select	t2._rowid, t2.id, t3._rowid, t3.id from t2, t3 where t2.id = t3.id ;

drop table t2 ;
drop table t3 ;

} ;
